
## [Espresso Lungo](https://github.com/espresso/espresso-lungo) / Finder

### Web-based File Manager for [Espresso](https://github.com/espresso/espresso) applications

## Install

```bash
$ gem install el-finder
```

or add `gem 'el-finder'` to your `Gemfile`

## Load

Ignore this if `el-finder` added to `Gemfile` and `Bundler.require` used.

Otherwise you'll have to load `el-finder` gem explicitly.

Just add `require 'el-finder'` at the top of your app.

## Use

First of all include `EL::Finder` into controllers you need a file manager.

Then use `finder` into your views passing path to managed directory via first argument:

```ruby
finder 'path/to/files'
```

## Editors

By default, `el-finder` will use a textarea to edit files.

To use `Ace` editor, install and load `el-ace` gem.

See [github.com/espresso/el-ace](https://github.com/espresso/el-ace) for instructions.

Then simply set editor via `:editor` option:

```ruby
finder 'path/to/files', editor: :ace
```

Same for `CKEditor`, see [github.com/espresso/el-ckeditor](https://github.com/espresso/el-ckeditor) for instructions.

Feel free to pass any editor options:

```ruby
finder 'path/to/files', editor: :ace, mode: 'html'
```

```ruby
finder 'path/to/files', editor: :ckeditor, lang: 'fr'
```

<hr>

**Issues/Bugs:** [github.com/espresso/espresso-lungo/issues](https://github.com/espresso/espresso-lungo/issues)

**Mailing List:** [groups.google.com/.../espresso-framework](https://groups.google.com/forum/?fromgroups#!forum/espresso-framework)

**IRC channel:** #espressorb on irc.freenode.net

**Author** - [Silviu Rusu](https://github.com/slivu)
